Download it now!
Bug 133690 - Hide surrounding border frame at sidebar
Summary: Hide surrounding border frame at sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2020-06-05 07:01 UTC by andreas_k
Modified: 2020-09-29 06:39 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Sidebar in LibO (71.41 KB, image/png)
2020-06-05 07:01 UTC, andreas_k
Details
Sidebar in LOOL (43.99 KB, image/png)
2020-06-05 07:06 UTC, andreas_k
Details
draw (122.62 KB, image/png)
2020-06-05 07:28 UTC, andreas_k
Details
Frame around Sidebar in Dark mode (112.16 KB, image/png)
2020-06-23 12:10 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-06-05 07:01:56 UTC
Created attachment 161635 [details]
Sidebar in LibO

request to optimize the visual layout of the sidebar

1. there is a tiny frame around all properties (green bullet in the attachment)

2. there is one separator line around the sidebar. The problem is that there is a space between the bottom sidebar line and the statusbar line. I suggest to have only one line. Also on top if you choose notebookbar there are two lines.

3. to collapse there is this dark tiny button on the left of the sidebar this is fine, but in addition you have than two vertical separator lines.
Comment 1 andreas_k 2020-06-05 07:06:45 UTC
Created attachment 161636 [details]
Sidebar in LOOL

In LOOL there are no separator lines at all. IN addition there is an button to show/hide the sidebar. For me it would be also fine to have the same layout than in LOOL for LibO and add an button for the sidebar, But it would be also ok to have the > arrow as it is now and ONE vertical separator.
Comment 2 andreas_k 2020-06-05 07:28:20 UTC
Created attachment 161642 [details]
draw

with the sidebar layout on the left like in Draw it look even worse with the separator lines. As I suggest in bug 133691 an separator line for the toolbar the sidebar will need only ONE vertical separator line as the horizontal lines will come from the statusbar and the toolbar.
Comment 3 Heiko Tietze 2020-06-08 09:18:32 UTC
Let's have one request per ticket only (and keep LOOL separate).

There is a faint line around the sidebar that might be removed when docked (actually it's not much difference in floating state). But it looks not too bad with my theme.

And you talk about two horizontal separator lines at the bottom, which I cannot confirm.
Comment 4 andreas_k 2020-06-08 21:54:07 UTC
(In reply to Heiko Tietze from comment #3)
> Let's have one request per ticket only (and keep LOOL separate).

The request is to improve the separator so it's only one request. For the toolbars I wrote Bug 133691

> 
> There is a faint line around the sidebar that might be removed when docked
> (actually it's not much difference in floating state). But it looks not too
> bad with my theme.

this very faint line is no big showstopper but it's there and shouldn't be there cause the line has any usage.

> And you talk about two horizontal separator lines at the bottom, which I
> cannot confirm.

One horizontal separator line come from the sidebar (cause the sidebar has an frame line around it) and the second one come from the status bar cause the statusbar has an separator line on top.
Comment 5 Gerhard Weydt 2020-06-09 14:44:53 UTC
There is one importnat difference between LibO and LOOL: the sidebar in LibO has several panes which can be brought to the front by using the option buttons on the right, whereas the LOOL pane only shows the properties. The frame surrounding the fields and separating them from the buttons, which is simlarly used in many dialogs, hence makes sense.
The double vertical separator is also used on the color bar (where normally it is horizontal) and the pages pane in Draw and Impress. The space is needed any way for the collapse button, and the two lines emphasize the collapse button and the border between sidebar and the workspace. What's wrong with that?
I cannot support the proposed changes.
Comment 6 Heiko Tietze 2020-06-14 12:26:38 UTC
In addition to Gerhard's comment: it looks better without the bevel, for example in WPS and Freeoffice. But we introduced a button that can be used to collapse/expand the sidebar (this small grey rectangle in the middle). And replacing this by a toolbar button (as LOOL or competitors does) is not so simple unless we go with special solutions such as Notebookbars. So let's resolve as WF.
Comment 7 andreas_k 2020-06-14 12:32:30 UTC
I am complete against close the bug cause remove the borders didn't have any disadvantage see the mockup but refresh the libo UI a lot.
Comment 8 Heiko Tietze 2020-06-14 12:36:31 UTC
(In reply to andreas_k from comment #7)
> I am complete against close the bug

No obvious disadvantage but some effort and special handling that might have side-effects. But feel free to reopen.
Comment 9 V Stuart Foote 2020-06-14 14:22:58 UTC
When Tomaž implemented the Sidebar Hide/Show grips (reused in several UI elements, Draw Page pane, Impress Slide pane) that are defined/bounded by this "separator", considerable effort went into getting it to have consistent visual handling in all DE. See refs.

Frankly this is purely a cosmetic change, not meriting the dev effort rework of the Hide/Show grips would require.

See no reason to fiddle with it now.

+1 for the WF

=-refs-=

bug 83527

but 116298
Comment 10 V Stuart Foote 2020-06-14 14:34:16 UTC
> 
> but 116298

s/but/bug 116298
Comment 11 andreas_k 2020-06-23 12:10:43 UTC
Created attachment 162347 [details]
Frame around Sidebar in Dark mode

As you can see in Darkmode (qt backend) the frame around the sidebar didn't follow any other style. for example at the statusbar there is a 1px thin line at the bottom of the toolbar there is no line at all. 

Only at the sidebar's (Sliders on the left and sidebar on the right) there is a "fat" frame around the sidebar. And at the > button with two lines.

I'D like to reopen this bug report and hope that this bug can be fixed with reduce the usage of the frame for the sidebar, as everywhere else there is also no "fat" line available.
Comment 12 Heiko Tietze 2020-06-23 13:00:54 UTC
Buttons are placed on frames that in turn have borders. Sidebars have a border as well. Let's turn this around: No objection from UX to improve.
Comment 13 Tomaz Vajngerl 2020-06-24 13:09:38 UTC
I agree with Andreas, we draw too much lines. Definitely something we should improve.
Comment 14 Thomas Lendo 2020-07-31 10:03:26 UTC
(In reply to Tomaz Vajngerl from comment #13)
> I agree with Andreas, we draw too much lines. Definitely something we should
> improve.
+1 for cosmetic improvement

Changing the status to NEW according to the last comments from Tomaz and Heiko.
Comment 15 andreas_k 2020-08-27 11:15:26 UTC
should be something in

yeah in vcl/source/window/splitwin.cxx
ImplCalcBorder, SplitWindow::ImplDrawBorder, SplitWindow::ImplDrawGrip and functons like that
Comment 16 andreas_k 2020-08-27 15:06:23 UTC
I added Noel Grandin cause he edited this file a lot.
Comment 17 Commit Notification 2020-09-17 20:52:08 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b6d2db52ea963615c1323a031694123c9d2a2534

tdf#133690 Hide surrounding border frame at sidebar

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-09-23 18:42:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf361c7af5aca5978f8aaf4b1e101b2feb2aaf03

tdf#133690 remove thin border in sidebar

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Heiko Tietze 2020-09-24 08:01:13 UTC
(In reply to Commit Notification from comment #18)
> andreas kainz committed a patch related to this issue.

Assuming it's fixed.
Comment 20 andreas_k 2020-09-24 08:03:25 UTC
(In reply to Heiko Tietze from comment #19)
> (In reply to Commit Notification from comment #18)
> > andreas kainz committed a patch related to this issue.
> 
> Assuming it's fixed.

No I'm work on the sidebar theme.
Comment 21 Heiko Tietze 2020-09-24 08:09:47 UTC
(In reply to andreas_k from comment #20)
> No I'm work on the sidebar theme.

Multiple patches for one ticket sounds like a mistake.
Comment 22 Commit Notification 2020-09-24 18:38:39 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cc2060fb21d48d775e5a85b9080c10589ab7287e

tdf#133690 Cleanup Sidebar theme

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.